libngspice0_30.2-1_i386.deb


Advertisement

Description

libngspice0 - Spice circuit simulator - library

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libngspice0_30.2-1_i386.deb
Package name libngspice0
Package version 30.2
Package release 1
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage http://ngspice.sourceforge.net
License -
Maintainer Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
Download size 1.70 MB
Installed size 6.18 MB
NGspice is a mixed-level/mixed-signal circuit simulator. Its code is based on
three open source software packages:
Spice3f5, Cider1b1 and Xspice.
This package contains the NGSpice library.

Alternatives

Package Version Architecture Repository
libngspice0_30.2-1_amd64.deb 30.2 amd64 Debian Main
libngspice0 - - -

Requires

Name Value
libc6 >= 2.28
libedit2 >= 2.11-20080614-0
libgomp1 >= 4.9
libncurses6 >= 6
libtinfo6 >= 6

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libngspice0_30.2-1_i386.deb
Source Package ngspice

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libngspice0 deb package:
    # sudo apt-get install libngspice0

Files

Path
/usr/lib/i386-linux-gnu/libngspice.so.0
/usr/lib/i386-linux-gnu/libngspice.so.0.0.0
/usr/share/doc/libngspice0/changelog.Debian.gz
/usr/share/doc/libngspice0/changelog.gz
/usr/share/doc/libngspice0/copyright

Changelog

2019-01-01 - Carsten Schoenert <c.schoenert@t-online.de>
ngspice (30.2-1) unstable; urgency=medium
* [bec4464] New upstream version 30.2
(Closes: #917674)
* [a4a68e0] rebuild patch queue from patch-queue branch
added patch:
fixes/spelling-fixing-misspelled-word-Re-encode.patch
removed patches (applied upstream):
fixes/Makefile.am-add-copyright-and-license-information.patch
fixes/Makefile.am-add-sanity-checks-called-by-distcheck.patch
fixes/Makefile.am-add-targets-for-cleanup-and-uninstallation.patch
fixes/Makefile.am-add-variables-GRAPHIC-LYX-_FILES.patch
fixes/Makefile.am-adding-a-target-for-manual.html.patch
fixes/Makefile.am-adding-some-magic-for-installing.patch
fixes/Makefile.am-adjust-target-upload.patch
fixes/Makefile.am-adopt-LYX_USER_DIR-into-lyx-call.patch
fixes/Makefile.am-remove-non-portable-wildcard-calls.patch
fixes/Makefile.am-updating-target-manual.pdf.patch
fixes/configure.ac-adding-copyright-and-licensing-information.patch
fixes/configure.ac-adding-with-lyxuserdir-option.patch
fixes/configure.ac-update-information-how-to-create-configure.patch
fixes/configure.ac-update-lyx-binary-check.patch
* [e440e70] d/copyright: update due upstream changes
* [32ef221] debian/control: increase Standards-Version to 4.3.0
No further changes needed.
2018-12-10 - Carsten Schoenert <c.schoenert@t-online.de>
ngspice (29-2) unstable; urgency=medium
[ Carsten Schoenert ]
* [acd6326] rebuild patch queue from patch-queue branch
added patches:
fixes/Makefile.am-add-sanity-checks-called-by-distcheck.patch
fixes/Makefile.am-add-targets-for-cleanup-and-uninstallation.patch
fixes/Makefile.am-add-variables-GRAPHIC-LYX-_FILES.patch
fixes/Makefile.am-adding-a-target-for-manual.html.patch
fixes/Makefile.am-adding-some-magic-for-installing.patch
fixes/Makefile.am-adjust-target-upload.patch
fixes/Makefile.am-adopt-LYX_USER_DIR-into-lyx-call.patch
fixes/Makefile.am-remove-non-portable-wildcard-calls.patch
fixes/Makefile.am-updating-target-manual.pdf.patch
fixes/configure.ac-adding-copyright-and-licensing-information.patch
fixes/configure.ac-adding-with-lyxuserdir-option.patch
fixes/configure.ac-update-information-how-to-create-configure.patch
fixes/configure.ac-update-lyx-binary-check.patch
fixes/spelling-fixing-misspelled-word-dependance.patch
* [8c1703c] d/rules: rework the installation of ngspice-doc
Due the new added patches, which are also forwarded to upstream, the
ngspice-doc package can now also be installed like other software. The
build was modified so the sequencer files can be used the usual way.
This also should make the package reproducible finally.
(Closes: #915236)
* [88c94d4] d/ngspice-doc.install: change source for installation
Updating the installation sequencer for the documentation package.
* [e50e956] d/ngspice-doc.doc-base: manual.html is getting installed
Small adjustment due renamed HTML file.

See Also

Package Description
libnhgri-blastall-perl_0.66-3_all.deb Perl extension for running and parsing NCBI's BLAST 2.x
libnice-dev_0.1.14-1_i386.deb ICE library (development files)
libnice-doc_0.1.14-1_all.deb ICE library (documentation)
libnice10_0.1.14-1_i386.deb ICE library (shared library)
libnids-dev_1.24-5_i386.deb IP defragmentation TCP segment reassembly library (development)
libnids1.21_1.24-5_i386.deb IP defragmentation TCP segment reassembly library
libnifti-dev_2.0.0-3_i386.deb IO libraries for the NIfTI-1 data format
libnifti-doc_2.0.0-3_all.deb NIfTI library API documentation
libnifti2_2.0.0-3_i386.deb IO libraries for the NIfTI-1 data format
libnih-dbus-dev_1.0.3-10+b2_i386.deb NIH D-Bus Bindings Library (development files)
libnih-dbus1_1.0.3-10+b2_i386.deb NIH D-Bus Bindings Library
libnih-dev_1.0.3-10+b2_i386.deb NIH Utility Library (development files)
libnih1_1.0.3-10+b2_i386.deb NIH Utility Library
libnini-cil-dev_1.1.0+dfsg.2-5_all.deb CLI library for managing configuration files
libnini-doc_1.1.0+dfsg.2-5_all.deb CLI library for managing configuration files (Documentation)
Advertisement
Advertisement